type 

  value = Int of int | Ccont of ccont | Dummy_value

and state = string -> value
and answer = value list

and ccont = state -> answer
and econt = value -> ccont

and c_sem_type = (ccont -> ccont)
and e_sem_type = (econt -> ccont)

and

  prog = 
  | Skip 
  | Assign of (string * expr)
  | Seq of (prog*prog)
  | If of (expr * prog * prog)
  | While of (expr * prog)
  | Stop
  | Print of (expr)
  | Try of (prog * string * prog)
  | Raise of (string)
  | Dummy_prog

and

  expr = 
  | Expr_Num of int
  | Expr_Var of string
  | Expr_Plus of (expr * expr)
  | Expr_Mult of (expr * expr)
  | Expr_Equal of (expr * expr)
  | Expr_Less of (expr * expr)
  | Dummy_expr
and 

  etiq = 
  | Tau
  | Etiq of string
;;
